# Class Medicine

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents a medicine entity within the domain model.

    public class Medicine

Inheritance
  object
  Medicine

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Codes

    public List<string> Codes { get; set; }

#### Property Value

List<string>

### Group

    public List<string> Group { get; set; }

#### Property Value

List<string>

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### Name

    public string? Name { get; set; }

#### Property Value

string

### Notes

    public List<string> Notes { get; set; }

#### Property Value

List<string>

### Type

    public List<string> Type { get; set; }

#### Property Value

List<string>